# TestFailure

@Incubating
interface TestFailure : Failure

Describes a test failure, that can either be a test assertion failure or a test framework failure.

#### Since

7.6

#### Inheritors

TestAssertionFailure
TestFrameworkFailure

## Functions

getCauses
Link copied to clipboard
abstract fun getCauses(): List<out Failure>
getClassName
Link copied to clipboard
abstract fun getClassName(): String
The fully-qualified name of the underlying exception type.
getDescription
Link copied to clipboard
abstract fun getDescription(): @Nullable String
getMessage
Link copied to clipboard
abstract fun getMessage(): @Nullable String
getProblems
Link copied to clipboard
abstract fun getProblems(): List<Problem>
getStacktrace
Link copied to clipboard
abstract fun getStacktrace(): String
The stringified version of the stacktrace created from the underlying exception.